curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/{FineTuneID}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/{FineTuneID}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/{FineTuneID}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”FineTune id
Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Responses
Section titled “Responses”Successful response with finetuning job details.
object
HTTP status code.
object
Job ID.
Name of the finetuning job.
Name of the model being fine-tuned.
Configuration details of the training job.
object
The dataset used for finetuning.
Number of training epochs.
The learning rate for training.
A prompt used for validation.
Number of images used for validation.
The precision level used during training.
Details of the run state.
object
Run ID.
Current state of the job.
Progress of the run.
Overall status of the job.
Creator information.
object
Name of the creator.
Email of the creator.
Pricing information for the job.
object
Price per unit time (e.g., hourly).
Currency code.
Errors encountered, if any.
object
A message indicating the status of the operation.
Example
{ "code": 200, "data": { "id": 810, "name": "tir-finetuning-111511093030", "model_name": "stabilityai/stable-diffusion-2-1", "training_inputs": { "dataset": "lambdalabs/naruto-blip-captions", "epochs": 3, "learning_rate": 0.0000141, "validation_prompt": "A photo of a man with green eyes", "num_validation_images": 2, "mixed_precision": "no" }, "run": { "id": 2444, "state": "Terminating", "progress": "0/1" }, "status": "Deleting", "created_by": { "name": "Nipun", "email": "nipun.arora@e2enetworks.com" }, "sku_item_price": { "unit_price": 470.4, "currency": "INR" } }, "errors": {}, "message": "Success"}